"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""

import builtins
import google.protobuf.descriptor
import google.protobuf.message
import typing

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class ActionDeleted(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ACTION_ID_FIELD_NUMBER: builtins.int
    ACTION_VERSION_FIELD_NUMBER: builtins.int
    action_id: builtins.str
    action_version: builtins.str
    def __init__(
        self,
        *,
        action_id: builtins.str = ...,
        action_version: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["action_id", b"action_id", "action_version", b"action_version"]) -> None: ...

global___ActionDeleted = ActionDeleted
